/*===========================================================================*/
/*   (Ast/local.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Ast/local.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;


BGL_EXPORTED_DECL BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt, BgL_valuez00_bglt);
static obj_t BGl_methodzd2initzd2zzast_localz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
static obj_t BGl__makezd2localzd2svarz00zzast_localz00(obj_t, obj_t, obj_t);
static BgL_localz00_bglt BGl_makezd2newzd2localz00zzast_localz00(obj_t, BgL_typez00_bglt, obj_t, bool_t);
static obj_t BGl__makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sfunz00_bglt);
static obj_t BGl__makezd2localzd2sfunz00zzast_localz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sexitz00_bglt);
static obj_t BGl_cnstzd2initzd2zzast_localz00();
static obj_t BGl__clonezd2localzd2zzast_localz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_localz00();
static long BGl_za2localzd2keyza2zd2zzast_localz00;
static obj_t BGl_toplevelzd2initzd2zzast_localz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sfunz00_bglt);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
static obj_t BGl__makezd2localzd2sexitz00zzast_localz00(obj_t, obj_t, obj_t, obj_t);
static long BGl_getzd2newzd2keyz00zzast_localz00();
static obj_t BGl_requirezd2initializa7ationz75zzast_localz00 = BUNSPEC;
extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
extern obj_t BGl_localzd2idzd2ze3nameze3zzast_identz00(obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t, long);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_localz00();
extern BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2userzd2localzd2svarzd2envz00zzast_localz00, BgL_bgl__makeza7d2userza7d2localza7d2svarza7d2za7za7ast_localza7001805za7, BGl__makezd2userzd2localzd2svarzd2zzast_localz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzd2svarzd2envzd2zzast_localz00, BgL_bgl__makeza7d2localza7d2svarza700za7za7ast_localza7001806z00, BGl__makezd2localzd2svarz00zzast_localz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2userzd2localzd2sfunzd2envz00zzast_localz00, BgL_bgl__makeza7d2userza7d2localza7d2sfunza7d2za7za7ast_localza7001807za7, BGl__makezd2userzd2localzd2sfunzd2zzast_localz00, 0L, 3 );
DEFINE_STRING( BGl_string1779z00zzast_localz00, BgL_bgl_string1779za700za7za7ast_localza7001808z00, "now read ", 9 );
DEFINE_STRING( BGl_string1778z00zzast_localz00, BgL_bgl_string1778za700za7za7ast_localza7001809z00, "_", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzd2sexitzd2envzd2zzast_localz00, BgL_bgl__makeza7d2localza7d2sexitza700za7za7ast_localza7001810z00, BGl__makezd2localzd2sexitz00zzast_localz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzd2sfunzd2envzd2zzast_localz00, BgL_bgl__makeza7d2localza7d2sfunza700za7za7ast_localza7001811z00, BGl__makezd2localzd2sfunz00zzast_localz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_clonezd2localzd2envz00zzast_localz00, BgL_bgl__cloneza7d2localza7d2za7za7ast_localza7001812za7, BGl__clonezd2localzd2zzast_localz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long BgL_checksumz00_481, char * BgL_fromz00_482)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_localz00))
{ 
BGl_requirezd2initializa7ationz75zzast_localz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_localz00(); 
BGl_cnstzd2initzd2zzast_localz00(); 
BGl_importedzd2moduleszd2initz00zzast_localz00(); 
BGl_toplevelzd2initzd2zzast_localz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_localz00()
{ AN_OBJECT;
{ /* ./Ast/local.scm 14 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_local"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "ast_local"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_localz00()
{ AN_OBJECT;
{ /* ./Ast/local.scm 14 */
{ /* ./Ast/local.scm 14 */
obj_t BgL_cportz00_474;
BgL_cportz00_474 = 
open_input_string(BGl_string1779z00zzast_localz00); 
{ 
long BgL_iz00_475;
BgL_iz00_475 = ((long)1); 
BgL_loopz00_476:
{ /* ./Ast/local.scm 14 */
bool_t BgL_test1781z00_477;
BgL_test1781z00_477 = 
(BgL_iz00_475==((long)-1)); 
if(BgL_test1781z00_477)
{ /* ./Ast/local.scm 14 */
return BUNSPEC;}  else 
{ /* ./Ast/local.scm 14 */
{ /* ./Ast/local.scm 14 */
obj_t BgL_arg1783z00_478;
{ /* ./Ast/local.scm 14 */
obj_t BgL_list1786z00_479;
BgL_list1786z00_479 = 
MAKE_PAIR(BgL_cportz00_474, BNIL); 
BgL_arg1783z00_478 = 
BGl_readz00zz__readerz00(BgL_list1786z00_479); } 
{ /* ./Ast/local.scm 14 */
int BgL_auxz00_497;
BgL_auxz00_497 = 
(int)(BgL_iz00_475); 
CNST_TABLE_SET(BgL_auxz00_497, BgL_arg1783z00_478); } } 
{ /* ./Ast/local.scm 14 */
int BgL_auxz00_480;
{ /* ./Ast/local.scm 14 */
long BgL_auxz00_500;
BgL_auxz00_500 = 
(BgL_iz00_475-((long)1)); 
BgL_auxz00_480 = 
(int)(BgL_auxz00_500); } 
{ 
long BgL_iz00_503;
BgL_iz00_503 = 
(long)(BgL_auxz00_480); 
BgL_iz00_475 = BgL_iz00_503; 
goto BgL_loopz00_476;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_localz00()
{ AN_OBJECT;
{ /* ./Ast/local.scm 14 */
return ( 
BGl_za2localzd2keyza2zd2zzast_localz00 = ((long)0), BUNSPEC) ;} 
}



/* get-new-key */
long BGl_getzd2newzd2keyz00zzast_localz00()
{ AN_OBJECT;
{ /* ./Ast/local.scm 35 */
{ /* ./Ast/local.scm 36 */
long BgL_za71za7_441;
BgL_za71za7_441 = BGl_za2localzd2keyza2zd2zzast_localz00; 
BGl_za2localzd2keyza2zd2zzast_localz00 = 
(BgL_za71za7_441+((long)1)); } 
return BGl_za2localzd2keyza2zd2zzast_localz00;} 
}



/* make-new-local */
BgL_localz00_bglt BGl_makezd2newzd2localz00zzast_localz00(obj_t BgL_idz00_1, BgL_typez00_bglt BgL_typez00_2, obj_t BgL_valuez00_3, bool_t BgL_userzf3zf3_4)
{ AN_OBJECT;
{ /* ./Ast/local.scm 44 */
{ /* ./Ast/local.scm 45 */
long BgL_keyz00_292;
BgL_keyz00_292 = 
BGl_getzd2newzd2keyz00zzast_localz00(); 
{ /* ./Ast/local.scm 48 */
obj_t BgL_arg1569z00_293;obj_t BgL_arg1570z00_294;BgL_typez00_bglt BgL_arg1572z00_295;obj_t BgL_arg1573z00_296;obj_t BgL_arg1575z00_297;obj_t BgL_arg1576z00_298;bool_t BgL_arg1579z00_300;long BgL_arg1581z00_301;
BgL_arg1569z00_293 = BgL_idz00_1; 
{ /* ./Ast/local.scm 49 */
obj_t BgL_arg1586z00_302;obj_t BgL_arg1589z00_304;
BgL_arg1586z00_302 = 
BGl_localzd2idzd2ze3nameze3zzast_identz00(BgL_idz00_1); 
BgL_arg1589z00_304 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_keyz00_292, BNIL); 
BgL_arg1570z00_294 = 
string_append_3(BgL_arg1586z00_302, BGl_string1778z00zzast_localz00, BgL_arg1589z00_304); } 
BgL_arg1572z00_295 = BgL_typez00_2; 
BgL_arg1573z00_296 = BgL_valuez00_3; 
BgL_arg1575z00_297 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1576z00_298 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1579z00_300 = BgL_userzf3zf3_4; 
BgL_arg1581z00_301 = BgL_keyz00_292; 
return 
BGl_makezd2localzd2zzast_varz00(BgL_arg1569z00_293, BgL_arg1570z00_294, BgL_arg1572z00_295, 
(BgL_valuez00_bglt)(BgL_arg1573z00_296), BgL_arg1575z00_297, BUNSPEC, BgL_arg1576z00_298, ((long)0), BgL_arg1579z00_300, BgL_arg1581z00_301);} } } 
}



/* clone-local */
BGL_EXPORTED_DEF BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt BgL_localz00_5, BgL_valuez00_bglt BgL_valuez00_6)
{ AN_OBJECT;
{ /* ./Ast/local.scm 57 */
{ /* ./Ast/local.scm 58 */
long BgL_keyz00_306;
BgL_keyz00_306 = 
BGl_getzd2newzd2keyz00zzast_localz00(); 
{ /* ./Ast/local.scm 60 */
BgL_localz00_bglt BgL_new1564z00_309;
{ /* ./Ast/local.scm 60 */
obj_t BgL_arg1596z00_310;obj_t BgL_arg1597z00_311;BgL_typez00_bglt BgL_arg1599z00_312;BgL_valuez00_bglt BgL_arg1600z00_313;obj_t BgL_arg1601z00_314;obj_t BgL_arg1603z00_315;obj_t BgL_arg1604z00_316;long BgL_arg1606z00_317;bool_t BgL_arg1607z00_318;long BgL_arg1608z00_319;
{ /* ./Ast/local.scm 60 */
BgL_variablez00_bglt BgL_obj1093z00_443;
BgL_obj1093z00_443 = 
(BgL_variablez00_bglt)(BgL_localz00_5); 
BgL_arg1596z00_310 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_443))->BgL_idz00); } 
{ /* ./Ast/local.scm 62 */
obj_t BgL_arg1613z00_320;obj_t BgL_arg1615z00_322;
{ /* ./Ast/local.scm 62 */
obj_t BgL_arg1618z00_323;
{ /* ./Ast/local.scm 62 */
BgL_variablez00_bglt BgL_obj1093z00_444;
BgL_obj1093z00_444 = 
(BgL_variablez00_bglt)(BgL_localz00_5); 
BgL_arg1618z00_323 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_444))->BgL_idz00); } 
BgL_arg1613z00_320 = 
BGl_idzd2ze3namez31zzast_identz00(BgL_arg1618z00_323); } 
BgL_arg1615z00_322 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_keyz00_306, BNIL); 
BgL_arg1597z00_311 = 
string_append_3(BgL_arg1613z00_320, BGl_string1778z00zzast_localz00, BgL_arg1615z00_322); } 
{ /* ./Ast/local.scm 60 */
BgL_variablez00_bglt BgL_obj1097z00_445;
BgL_obj1097z00_445 = 
(BgL_variablez00_bglt)(BgL_localz00_5); 
BgL_arg1599z00_312 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_445))->BgL_typez00); } 
BgL_arg1600z00_313 = BgL_valuez00_6; 
{ /* ./Ast/local.scm 60 */
BgL_variablez00_bglt BgL_obj1103z00_446;
BgL_obj1103z00_446 = 
(BgL_variablez00_bglt)(BgL_localz00_5); 
BgL_arg1601z00_314 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_446))->BgL_accessz00); } 
{ /* ./Ast/local.scm 60 */
BgL_variablez00_bglt BgL_obj1106z00_447;
BgL_obj1106z00_447 = 
(BgL_variablez00_bglt)(BgL_localz00_5); 
BgL_arg1603z00_315 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1106z00_447))->BgL_fastzd2alphazd2); } 
{ /* ./Ast/local.scm 60 */
BgL_variablez00_bglt BgL_obj1109z00_448;
BgL_obj1109z00_448 = 
(BgL_variablez00_bglt)(BgL_localz00_5); 
BgL_arg1604z00_316 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1109z00_448))->BgL_removablez00); } 
{ /* ./Ast/local.scm 60 */
BgL_variablez00_bglt BgL_obj1112z00_449;
BgL_obj1112z00_449 = 
(BgL_variablez00_bglt)(BgL_localz00_5); 
BgL_arg1606z00_317 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1112z00_449))->BgL_occurrencez00); } 
BgL_arg1607z00_318 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_userzf3zf3); 
BgL_arg1608z00_319 = BgL_keyz00_306; 
BgL_new1564z00_309 = 
BGl_makezd2localzd2zzast_varz00(BgL_arg1596z00_310, BgL_arg1597z00_311, BgL_arg1599z00_312, BgL_arg1600z00_313, BgL_arg1601z00_314, BgL_arg1603z00_315, BgL_arg1604z00_316, BgL_arg1606z00_317, BgL_arg1607z00_318, BgL_arg1608z00_319); } 
{ /* ./Ast/local.scm 60 */

return BgL_new1564z00_309;} } } } 
}



/* _clone-local */
obj_t BGl__clonezd2localzd2zzast_localz00(obj_t BgL_envz00_453, obj_t BgL_localz00_454, obj_t BgL_valuez00_455)
{ AN_OBJECT;
{ /* ./Ast/local.scm 57 */
{ /* ./Ast/local.scm 58 */
BgL_localz00_bglt BgL_auxz00_534;
BgL_auxz00_534 = 
BGl_clonezd2localzd2zzast_localz00(
(BgL_localz00_bglt)(BgL_localz00_454), 
(BgL_valuez00_bglt)(BgL_valuez00_455)); 
return 
(obj_t)(BgL_auxz00_534);} } 
}



/* make-local-svar */
BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t BgL_idz00_7, BgL_typez00_bglt BgL_typez00_8)
{ AN_OBJECT;
{ /* ./Ast/local.scm 68 */
{ /* ./Ast/local.scm 69 */
BgL_svarz00_bglt BgL_arg1631z00_451;
BgL_arg1631z00_451 = 
BGl_makezd2svarzd2zzast_varz00(BUNSPEC); 
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_7, BgL_typez00_8, 
(obj_t)(BgL_arg1631z00_451), ((bool_t)0));} } 
}



/* _make-local-svar */
obj_t BGl__makezd2localzd2svarz00zzast_localz00(obj_t BgL_envz00_456, obj_t BgL_idz00_457, obj_t BgL_typez00_458)
{ AN_OBJECT;
{ /* ./Ast/local.scm 68 */
{ /* ./Ast/local.scm 69 */
BgL_localz00_bglt BgL_auxz00_542;
BgL_auxz00_542 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_idz00_457, 
(BgL_typez00_bglt)(BgL_typez00_458)); 
return 
(obj_t)(BgL_auxz00_542);} } 
}



/* make-user-local-svar */
BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t BgL_idz00_9, BgL_typez00_bglt BgL_typez00_10)
{ AN_OBJECT;
{ /* ./Ast/local.scm 74 */
{ /* ./Ast/local.scm 75 */
BgL_svarz00_bglt BgL_arg1635z00_452;
BgL_arg1635z00_452 = 
BGl_makezd2svarzd2zzast_varz00(BUNSPEC); 
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_9, BgL_typez00_10, 
(obj_t)(BgL_arg1635z00_452), ((bool_t)1));} } 
}



/* _make-user-local-svar */
obj_t BGl__makezd2userzd2localzd2svarzd2zzast_localz00(obj_t BgL_envz00_459, obj_t BgL_idz00_460, obj_t BgL_typez00_461)
{ AN_OBJECT;
{ /* ./Ast/local.scm 74 */
{ /* ./Ast/local.scm 75 */
BgL_localz00_bglt BgL_auxz00_549;
BgL_auxz00_549 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(BgL_idz00_460, 
(BgL_typez00_bglt)(BgL_typez00_461)); 
return 
(obj_t)(BgL_auxz00_549);} } 
}



/* make-local-sexit */
BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t BgL_idz00_11, BgL_typez00_bglt BgL_typez00_12, BgL_sexitz00_bglt BgL_sexitz00_13)
{ AN_OBJECT;
{ /* ./Ast/local.scm 80 */
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_11, BgL_typez00_12, 
(obj_t)(BgL_sexitz00_13), ((bool_t)0));} 
}



/* _make-local-sexit */
obj_t BGl__makezd2localzd2sexitz00zzast_localz00(obj_t BgL_envz00_462, obj_t BgL_idz00_463, obj_t BgL_typez00_464, obj_t BgL_sexitz00_465)
{ AN_OBJECT;
{ /* ./Ast/local.scm 80 */
{ /* ./Ast/local.scm 81 */
BgL_localz00_bglt BgL_auxz00_555;
BgL_auxz00_555 = 
BGl_makezd2localzd2sexitz00zzast_localz00(BgL_idz00_463, 
(BgL_typez00_bglt)(BgL_typez00_464), 
(BgL_sexitz00_bglt)(BgL_sexitz00_465)); 
return 
(obj_t)(BgL_auxz00_555);} } 
}



/* make-local-sfun */
BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t BgL_idz00_14, BgL_typez00_bglt BgL_typez00_15, BgL_sfunz00_bglt BgL_sfunz00_16)
{ AN_OBJECT;
{ /* ./Ast/local.scm 88 */
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_14, BgL_typez00_15, 
(obj_t)(BgL_sfunz00_16), ((bool_t)0));} 
}



/* _make-local-sfun */
obj_t BGl__makezd2localzd2sfunz00zzast_localz00(obj_t BgL_envz00_466, obj_t BgL_idz00_467, obj_t BgL_typez00_468, obj_t BgL_sfunz00_469)
{ AN_OBJECT;
{ /* ./Ast/local.scm 88 */
{ /* ./Ast/local.scm 89 */
BgL_localz00_bglt BgL_auxz00_562;
BgL_auxz00_562 = 
BGl_makezd2localzd2sfunz00zzast_localz00(BgL_idz00_467, 
(BgL_typez00_bglt)(BgL_typez00_468), 
(BgL_sfunz00_bglt)(BgL_sfunz00_469)); 
return 
(obj_t)(BgL_auxz00_562);} } 
}



/* make-user-local-sfun */
BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t BgL_idz00_17, BgL_typez00_bglt BgL_typez00_18, BgL_sfunz00_bglt BgL_sfunz00_19)
{ AN_OBJECT;
{ /* ./Ast/local.scm 96 */
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_17, BgL_typez00_18, 
(obj_t)(BgL_sfunz00_19), ((bool_t)1));} 
}



/* _make-user-local-sfun */
obj_t BGl__makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t BgL_envz00_470, obj_t BgL_idz00_471, obj_t BgL_typez00_472, obj_t BgL_sfunz00_473)
{ AN_OBJECT;
{ /* ./Ast/local.scm 96 */
{ /* ./Ast/local.scm 97 */
BgL_localz00_bglt BgL_auxz00_569;
BgL_auxz00_569 = 
BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(BgL_idz00_471, 
(BgL_typez00_bglt)(BgL_typez00_472), 
(BgL_sfunz00_bglt)(BgL_sfunz00_473)); 
return 
(obj_t)(BgL_auxz00_569);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_localz00()
{ AN_OBJECT;
{ /* ./Ast/local.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_localz00()
{ AN_OBJECT;
{ /* ./Ast/local.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "ast_local"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "ast_local"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "ast_local"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "ast_local"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "ast_local");} 
}

